Bug 6489 - Русский язык в PostScript
: Русский язык в PostScript
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/graphviz)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-11 17:02 by
Modified: 2009-04-06 14:04 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-11 17:02:44
PostScript с русскими буквами генерируется нечитабельным
------- Comment #1 From 2006-03-03 09:24:55 -------
Судя по 
http://www.graphviz.org/bugs/b189.html
http://www.graphviz.org/bugs/b544.html
-- при использовании UTF-8 и уникодного шрифта должно быть неактуально.

Хотя судя по 
https://mailman.research.att.com/pipermail/graphviz-interest/2005q3/002545.html
-- увы, ждут хоть одного рабочего примера UTF-8 в PS...
------- Comment #2 From 2006-10-31 17:24:32 -------
to maintainer, if any
------- Comment #3 From 2008-03-06 20:05:36 -------
-Tpng в помощь... (по крайней мере с 2.16.1 и UTF-8 работает)
------- Comment #4 From 2008-03-23 02:03:46 -------
reassign
------- Comment #5 From 2008-03-23 17:43:49 -------
К сожалению, на сейчас ничего лучше -Tpng предложить не могу.  Если когда-либо
починится и к нам попадёт фикс (или найдётся герой-специалист) разве...
------- Comment #6 From 2008-03-29 15:49:39 -------
Кстати, надо будет апстриму подсказать, что есть liblasi: 
http://www.unifont.org/lasi/
http://www.unifont.org/lasi/strategy.html
------- Comment #7 From 2009-01-22 14:05:44 -------
есть -Tsvg. Рекомендую.
------- Comment #8 From 2009-04-05 17:05:40 -------
29.03.2008 на gviz-bugs research.att.com было отправлено сообщение со ссылками
на liblasi; 3.03.2009 в 2.22.0 добавили плагин с поддержкой этой библиотеки и
Unicode в PostScript -- см. ChangeLog.

И то хорошо; включаю в сборке 2.22.2-alt1.
------- Comment #9 From 2009-04-06 14:04:48 -------
Тьфу ты, FIXED.  Только сборка застряла в incoming -- два пакета попадают под
смену soname... на всякий:
http://fly.osdn.org.ua/~mike/RPM/SRPMS/graphviz-2.22.2-alt1.src.rpm